@media screen and (min-width: 1024px) {
    .footer {
        flex-direction: row !important;
    }
    .links {
        flex-direction: row !important;
        margin-top: 0 !important;
    }
    .copyright {
        position: absolute;
        left: 50%;
        transform: translateX(-50%) translateY(-0.5rem);
        display: flex;
        align-items: center;
        justify-content: center;
        margin: 20px;
        color: var(--yama-color-primary)
    }
}

.footer {
    position: relative;
    width: 100%;
    margin: auto;
    padding: 1rem 1rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.logoContainer {
    flex-grow: 1;
    margin: auto;
    display: flex;
    align-items: center;
    justify-content: start;
}

[data-name="yama-logo-text"]{
    fill: var(--yama-svg-footer-primary) !important;
}

.logoContainer svg {
    width: fit-content;
    height: 50px;
}

.copyright {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 20px;
    color: var(--yama-color-primary)
}

.copyright a {
    margin: 4px;
}

.links {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: end;
}

.links a {
    margin: 0px 10px;
}

.links a, .copyright a {
    text-decoration: none;
    transition-duration: 500ms;
    transition-property: color;
    color: var(--yama-color-primary);
}

.links a:hover, .copyright a:hover {
    color: var(--yama-color-primary-hover);
}